

# ListOutgoingCertificates
<a name="API_ListOutgoingCertificates"></a>

Lists certificates that are being transferred but not yet accepted.

Requires permission to access the [ListOutgoingCertificates](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_ListOutgoingCertificates_RequestSyntax"></a>

```
GET /certificates-out-going?isAscendingOrder=ascendingOrder&marker=marker&pageSize=pageSize HTTP/1.1
```

## URI Request Parameters
<a name="API_ListOutgoingCertificates_RequestParameters"></a>

The request uses the following URI parameters.

 ** [ascendingOrder](#API_ListOutgoingCertificates_RequestSyntax) **   <a name="iot-ListOutgoingCertificates-request-uri-ascendingOrder"></a>
Specifies the order for results. If True, the results are returned in ascending order, based on the creation date.

 ** [marker](#API_ListOutgoingCertificates_RequestSyntax) **   <a name="iot-ListOutgoingCertificates-request-uri-marker"></a>
The marker for the next set of results.  
Length Constraints: Maximum length of 1024.  
Pattern: `[A-Za-z0-9+/]+={0,2}` 

 ** [pageSize](#API_ListOutgoingCertificates_RequestSyntax) **   <a name="iot-ListOutgoingCertificates-request-uri-pageSize"></a>
The result page size.  
Valid Range: Minimum value of 1. Maximum value of 250.

## Request Body
<a name="API_ListOutgoingCertificates_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListOutgoingCertificates_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextMarker": "string",
   "outgoingCertificates": [ 
      { 
         "certificateArn": "string",
         "certificateId": "string",
         "creationDate": number,
         "transferDate": number,
         "transferMessage": "string",
         "transferredTo": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListOutgoingCertificates_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextMarker](#API_ListOutgoingCertificates_ResponseSyntax) **   <a name="iot-ListOutgoingCertificates-response-nextMarker"></a>
The marker for the next set of results.  
Type: String  
Length Constraints: Maximum length of 1024.  
Pattern: `[A-Za-z0-9+/]+={0,2}` 

 ** [outgoingCertificates](#API_ListOutgoingCertificates_ResponseSyntax) **   <a name="iot-ListOutgoingCertificates-response-outgoingCertificates"></a>
The certificates that are being transferred but not yet accepted.  
Type: Array of [OutgoingCertificate](API_OutgoingCertificate.md) objects

## Errors
<a name="API_ListOutgoingCertificates_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_ListOutgoingCertificates_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/ListOutgoingCertificates) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/ListOutgoingCertificates) 